Contents
Index 🔎︎

# Matemaatilised funktsioonid

See kategooria sisaldab Calci matemaatilisi funktsioone. Funktsiooninõustaja avamiseks vali Lisamine - Funktsioon.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

### HOUR

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## [text/scalc/01/func_sumifs.xhp#sumifs_head not found].

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Tagastab arvu absoluutväärtuse.

### Syntax

ABS(arv)

Arv on arv, mille absoluutväärtust arvutada. Arvu absoluutväärtus on tema väärtus ilma +/- märgita.

### Example

=ABS(-56) tagastab 56.

=ABS(12) tagastab 12.

=ABS(0) tagastab 0.

## ACOS

Tagastab arvu arkuskoosinuse.

### Syntax

ACOS(arv)

See funktsioon tagastab arvu arkuskoosinuse, s.t nurga (radiaanides), mille koosinus on antud arv. Vastus on vahemikus 0 kuni π.

Tagastatud nurga teisendamiseks kraadidesse kasuta funktsiooni DEGREES.

### Example

=ACOS(-1) tagastab 3,14159265358979 (π radiaani).

=DEGREES(ACOS(0,5)) tagastab 60. 60-kraadise nurga koosinus on 0,5.

## ACOSH

Tagastab arvu areakoosinuse.

### Syntax

ACOSH(arv)

See funktsioon tagastab arvu areakoosinuse, tulemuseks on arv, mille hüperboolne koosinus on antud arv.

Arv peab olema suurem kui 1 või sellega võrdne.

### Example

=ACOSH(1) tagastab 0.

=ACOSH(COSH(4)) tagastab 4.

## ACOT

Tagastab antud arvu arkuskootangensi (kootangensi pöördfunktsiooni).

### Syntax

ACOT(arv)

See funktsioon tagastab arvu arkuskootangensi, s.t nurga (radiaanides), mille kootangens on antud arv. Vastus on vahemikus 0 kuni π.

Tagastatud nurga teisendamiseks kraadidesse kasuta funktsiooni DEGREES.

### Example

=ACOT(1) tagastab 0,785398163397448 (π/4 radiaani).

=DEGREES(ACOT(1)) tagastab 45. 45-kraadise nurga tangens on 1.

## ACOTH

Tagastab antud arvu areakootangensi.

### Syntax

ACOTH(arv)

See funktsioon tagastab arvu areakootangensi; tulemuseks on arv, mille hüperboolne kootangens on antud arv.

Kui arv on vahemikus -1 kuni 1 (kaasa arvatud), on tulemuseks viga.

### Example

=ACOTH(1,1) tagastab arvu 1,1 areakootangensi, mis on ligikaudu 1,52226.

## ASIN

Tagastab arvu arkussiinuse.

### Syntax

ASIN(arv)

See funktsioon tagastab arvu arkussiinuse, s.t nurga (radiaanides), mille siinus on antud arv. Tagastatav nurk on vahemikus -π/2 kuni +π/2.

Tagastatud nurga teisendamiseks kraadidesse kasuta funktsiooni DEGREES.

### Example

=ASIN(0) tagastab 0.

=ASIN(1) tagastab 1,5707963267949 (π/2 radiaani).

=DEGREES(ASIN(0,5)) tagastab 30. 30-kraadise nurga siinus on 0,5.

## ASINH

Tagastab arvu areasiinuse.

### Syntax

ASINH(arv)

See funktsioon tagastab arvu areasiinuse, tulemuseks on arv, mille hüperboolne siinus on antud arv.

### Example

=ASINH(-90) tagastab ligikaudse väärtuse -5,1929877.

=ASINH(SINH(4)) tagastab 4.

## ATAN

Tagastab arvu arkustangensi.

### Syntax

ATAN(arv)

See funktsioon tagastab arvu arkustangensi, s.t nurga (radiaanides), mille tangens on antud arv. Vastus on vahemikus -π/2 kuni π/2.

Tagastatud nurga teisendamiseks kraadidesse kasuta funktsiooni DEGREES.

### Example

=ATAN(1) tagastab 0,785398163397448 (π/4 radiaani).

=DEGREES(ATAN(1)) tagastab 45. 45-kraadise nurga tangens on 1.

## ATAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

### Syntax

ATAN2(arv x; arv y)

NumberX is the value of the x coordinate.

Arv y on y-koordinaadi väärtus.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

## ATANH

Tagastab arvu areatangensi.

### Syntax

ATANH(arv)

See funktsioon tagastab arvu areatangensi, tulemuseks on arv, mille hüperboolne tangens on antud arv.

Arv peab vastama tingimusele: -1 < arv < 1.

### Example

=ATANH(0) tagastab 0.

## CEILING

Ümardab arvu ülespoole lähima kordaja kordseni.

### Syntax

CEILING(Arv; Kordaja; Režiim)

Arv on ülespoole ümardatav arv.

Kordaja on arv, mille kordseni väärtus ülespoole ümardatakse.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded away from zero. If the Mode value is equal to zero or is not given, negative numbers are rounded towards zero.

If the spreadsheet is exported to Microsoft Excel, the CEILING function is exported as the equivalent CEILING.MATH function that exists since Excel 2013. If you plan to use the spreadsheet with earlier Excel versions, use either CEILING.PRECISE that exists since Excel 2010, or CEILING.XCL that is exported as the CEILING function compatible with all Excel versions. Note that CEILING.XCL always rounds away from zero.

### Example

=CEILING(-11;-2) tagastab -10.

=CEILING(-11;-2;0) tagastab -10.

=CEILING(-11;-2;1) tagastab -12.

## CEILING.MATH

Rounds a number up to the nearest multiple of Significance.

### Syntax

CEILING.MATH(Number; Significance; Mode)

Number is the number that is to be rounded up.

Significance is the number to whose multiple the value is to be rounded up.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded away from zero. If the Mode value is equal to zero or is not given, negative numbers are rounded towards zero.

This function exists for interoperability with Microsoft Excel 2013 or newer.

### Example

=CEILING.MATH(-10;-3) returns -9

=CEILING.MATH(-10;-3;0) returns -9

=CEILING.MATH(-10;-3;1) returns -12

## CEILING.PRECISE

Ümardab arvu ülespoole kuni lähima antud teguri kordseni, olenemata teguri märgist

This function is available since LibreOffice 4.3

### Syntax

CEILING(Arv; Kordaja; Režiim)

Arv on ülespoole ümardatav arv.

Kordaja on arv, mille kordseni väärtus ülespoole ümardatakse.

### Example

=CEILING(-11;-2) tagastab -10.

## CEILING.XCL

Rounds a number away from zero to the nearest multiple of Significance.

This function is available since LibreOffice 5.0

### Syntax

CEILING.XCL(Number; Significance)

Number is the number that is to be rounded.

Significance is the number to whose multiple the value is to be rounded.

This function exists for interoperability with Microsoft Excel 2007 or older versions.

### Example

=CEILING.XCL(1;3) returns 3

=CEILING.XCL(7;4) returns 8

=CEILING.XCL(-10;-3) returns -12

## COMBIN

Tagastab elementide kordusteta kombinatsioonide arvu.

### Syntax

COMBIN(arv1; arv2)

Arv1 on elementide koguarv hulgas.

Arv2 on hulgast valitavate elementide arv.

COMBIN tagastab hulga elementide järjestatud valimise võimaluste arvu. Kui näiteks hulgas on 3 elementi A, B ja C, saab 2 elementi valida 3 erineval viisil: AB, AC ja BC.

COMBIN kasutab valemit: arv_1!/(arv_2!*(arv_1-arv_2)!)

### Example

=COMBIN(3;2) tagastab 3.

## COMBINA

Tagastab elementide kordustega kombinatsioonide arvu.

### Syntax

COMBINA(arv1; arv2)

Arv1 on elementide koguarv hulgas.

Arv2 on hulgast valitavate elementide arv.

COMBINA tagastab hulga elementide valimise võimaluste arvu, kus valimise järjekord pole oluline ja elementide kordused on lubatud. Kui näiteks hulgas on 3 elementi A, B ja C, siis saab 2 elementi valida 6 erineval viisil: AA, AB, AC, BB, BC ja CC.

COMBINA kasutab valemit: (arv1+arv2-1)! / (arv2!(arv1-1)!)

### Example

=COMBINA(3;2) tagastab 6.

## CONVERT_OOO

Teisendab väärtuse ühest mõõtühikust teise mõõtühikusse. Teisendustegurid antakse konfiguratsioonis vastavas loendis.

Varem sisaldas teisendustegurite loend ka vanemaid Euroopas kasutusel olnud rahaühikuid ja eurot (vt allpool toodud näiteid). Nende rahaühikute teisendamiseks on parem kasutada uut funktsiooni EUROCONVERT.

### Syntax

CONVERT_OOO(value;"text";"text")

### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the Euro value of 100 Austrian Schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 Euros into German Marks.

## COS

Tagastab antud nurga (radiaanides) koosinuse.

### Syntax

COS(arv)

Tagastab arvu (radiaanides antud nurga) koosinuse.

Et leida kraadides antud nurga koosinust, kasuta funktsiooni RADIANS.

### Example

=COS(PI()/2) tagastab 0, koosinuse π/2 radiaanist.

=COS(RADIANS(60)) annab tulemuseks 0,5, mis on koosinus 60 kraadist.

## COSH

Tagastab arvu hüperboolse koosinuse.

### Syntax

COSH(arv)

Tagastab arvu hüperboolse koosinuse.

### Example

=COSH(0) tagastab 1, arvu 0 hüperboolse koosinuse.

## COT

Tagastab antud nurga (radiaanides) kootangensi.

### Syntax

COT(arv)

Tagastab arvu (radiaanides antud nurga) kootangensi.

Et leida kraadides antud nurga kootangensit, kasuta funktsiooni RADIANS.

Nurga kootangens on võrdne sama nurga tangensi pöördväärtusega.

### Näited:

=COT(PI()/4) tagastab 1, mis on kootangens π/4 radiaanist.

=COT(RADIANS(45)) tagastab 1, mis on kootangens 45 kraadist.

## COTH

Tagastab antud arvu (nurga) hüperboolse kootangensi.

### Syntax

COTH(arv)

Tagastab arvu hüperboolse kootangensi.

### Example

=COTH(1) tagastab arvu 1 hüperboolse kootangensi, mis on ligikaudu 1,3130.

## CSC

Tagastab antud nurga (radiaanides) koosekansi. Nurga koosekans on võrdne sama nurga siinuse pöördväärtusega.

This function is available since LibreOffice 3.5

### Syntax

CSC(arv)

Tagastab arvu (radiaanides antud nurga) koosekansi.

Et leida kraadides antud nurga koosekansit, kasuta funktsiooni RADIANS.

### Example

=CSC(PI()/4) annab tulemuseks ligikaudu 1,4142135624, mis on pöördväärtus arvu π/4 radiaani siinusest.

=CSC(RADIANS(30)) annab tulemuseks 2, mis on koosekans 30 kraadist.

## CSCH

Tagastab arvu hüperboolse koosekansi.

This function is available since LibreOffice 3.5

### Syntax

CSCH(arv)

Tagastab arvu hüperboolse koosekansi.

### Example

=CSCH(1) annab tulemuseks ligikaudu 0,8509181282, mis on arvu 1 hüperboolne koosekans.

## DEGREES

Teisendab radiaanid kraadideks.

### Syntax

DEGREES(arv)

Arv on nurk radiaanides, mis tuleb kraadideks teisendada.

### Example

=DEGREES(PI()) tagastab 180 kraadi.

## EUROCONVERT

Teisendab Euroopa vanad rahvusvaluutad eurodeks ja vastupidi.

### Syntax

EUROCONVERT(väärtus; "lähtevaluuta"; "sihtvaluuta", täielik_täpsus, trianguleeritud_täpsus)

Väärtus on teisendatava raha kogus.

Lähtevaluuta ja sihtvaluuta on rahaühikud, millest ja millesse teisendada. Need peavad olema sisestatud tekstina - rahaühiku ametliku suurtähtlühendina (nt "EUR"). Määrad (euro suhtes) on määratud Euroopa Komisjoni poolt.

Täielik_täpsus pole kohustuslik. Kui see parameeter puudub või on Väär, siis tulemus ümardatakse vastavalt sihtvaluuta kümnendkohtadele. Kui täielik_täpsus on tõene, siis tulemust ei ümardata.

Trianguleeritud_täpsus pole kohustuslik. Kui trianguleeritud_täpsus on antud ja >=3, ümardatakse trianguleeritud teisenduse (valuuta1;EUR;valuuta2) vahetulemus selle täpsuseni. Kui sihtvaluuta on "EUR", kasutatakse trianguleeritud_täpsust sarnaselt sellise olukorraga, kus triangulatsioon on vajalik ja rakendatakse teisendus EUR -> EUR.

### Näited

=EUROCONVERT(100;"ATS";"EUR") teisendab 100 Austria šillingit eurodeks.

=EUROCONVERT(100;"EUR";"DEM") teisendab 100 eurot Saksa markadeks.

## EVEN

Ümardab positiivse arvu ülespoole ja negatiivse arvu allapoole lähima paarisarvuni.

### Syntax

EVEN(arv)

Tagastab arvu ümardatuna ülespoole (nullist eemale) lähima paarisarvulise täisarvuni.

### Example

=EVEN(2,3) tagastab 4.

=EVEN(2) tagastab 2.

=EVEN(0) tagastab 0.

=EVEN(-0,5) tagastab -2.

## EXP

Tagastab arvu e astme vastavalt argumendile. Arvu e ligikaudne väärtus on 2,71828182845904.

### Syntax

EXP(arv)

Arv on aste, millesse e tõstetakse.

### Example

=EXP(1) tagastab 2,71828182845904 ehk matemaatikakonstandi e Calcis kasutatava täpsusega.

## FACT

Tagastab arvu faktoriaali.

### Syntax

FACT(arv)

Tagastab väärtuse arv!, see on arvu faktoriaal, mis arvutatakse valemi 1*2*3*4* ... * arv järgi.

=FACT(0) tagastab vastavalt definitsioonile 1.

Negatiivse arvu faktoriaal tagastab veateate "vigane argument".

### Example

=FACT(3) tagastab 6.

=FACT(0) tagastab 1.

## FLOOR

Ümardab arvu allapoole lähima kordaja kordseni.

### Syntax

FLOOR(Arv; Kordaja; Režiim)

Arv on arv, mis ümardatakse allapoole.

Kordaja on väärtus, mille kordseni arv allapoole ümardatakse.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded towards zero. If the Mode value is equal to zero or is not given, negative numbers are rounded away from zero.

If the spreadsheet is exported to Microsoft Excel, the FLOOR function is exported as the equivalent FLOOR.MATH function that exists since Excel 2013. If you plan to use the spreadsheet with earlier Excel versions, use either FLOOR.PRECISE that exists since Excel 2010, or FLOOR.XCL that is exported as the FLOOR function compatible with all Excel versions. Note that FLOOR.XCL always rounds towards zero.

### Example

=FLOOR( -11;-2) tagastab -12.

=FLOOR( -11;-2;0) tagastab -12.

=FLOOR( -11;-2;1) tagastab -10.

## FLOOR.PRECISE

Ümardab arvu allapoole lähima kordaja kordseni.

This function is available since LibreOffice 4.3

### Syntax

FLOOR(Arv; Kordaja; Režiim)

Arv on arv, mis ümardatakse allapoole.

Kordaja on väärtus, mille kordseni arv allapoole ümardatakse.

### Example

=FLOOR( -11;-2) tagastab -12.

## GCD

Tagastab ühe või mitme täisarvu suurima ühisteguri.

Suurim ühistegur on suurim positiivne arv, millega jaguvad ilma jäägita kõik antud täisarvud.

### Syntax

GCD(täisarv1; täisarv2; ...; täisarv30)

Täisarv1 kuni 30 on kuni 30 täisarvu, mille suurimat ühistegurit arvutatakse.

### Example

=GCD(16;32;24) annab tulemuseks 8, kuna 8 on suurim arv, millega saab arvud 16, 24 ja 32 jagada ilma jäägita.

=GCD(B1:B3), kus lahtrid B1, B2, B3 sisaldavad väärtust 9, 12, 9, annab tulemuseks 3.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

GCD_EXCEL2003(Number(s))

Arv(ud) on loend kuni 30 arvust.

### Example

=GCD_EXCEL2003(5;15;25) returns 5.

## INT

Ümardab arvu allapoole lähima täisarvuni.

### Syntax

INT(arv)

Tagastab arvu ümardatuna allapoole lähima täisarvuni.

Negatiivsed arvud ümardatakse allapoole (nullist eemale) järgmise täisarvuni.

### Example

=INT(5,7) tagastab 5.

=INT(-1,3) tagastab -2.

## ISO.CEILING

Ümardab arvu ülespoole kuni lähima antud teguri kordseni, olenemata teguri märgist

### Syntax

CEILING(Arv; Kordaja; Režiim)

Arv on ülespoole ümardatav arv.

Kordaja on arv, mille kordseni väärtus ülespoole ümardatakse.

### Example

=CEILING(-11;-2) tagastab -10.

## LCM

Tagastab ühe või mitme täisarvu vähima ühiskordse.

### Syntax

LCM(täisarv1; täisarv2; ...; täisarv30)

Täisarv1 kuni 30 on kuni 30 täisarvu, mille vähimat ühiskordset arvutatakse.

### Example

Kui sisestada arvud 512, 1024 ja 2000 väljadele täisarv 1, 2 ja 3, tagastatakse vastus 128000.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

LCM_EXCEL2003(Number(s))

Arv(ud) on loend kuni 30 arvust.

### Example

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Tagastab arvu naturaallogaritmi ehk logaritmi alusel e (2,71828182845904). Arvu e ligikaudne väärtus on 2,71828182845904.

### Syntax

LN(arv)

Arv on väärtus, mille naturaallogaritm arvutatakse.

### Example

=LN(3) tagastab arvu 3 naturaallogaritmi (ligikaudu 1,0986).

=LN(EXP(321)) tagastab 321.

## LOG

Tagastab arvu logaritmi antud alusel.

### Syntax

LOG(arv; alus)

Arv on väärtus, mille logaritm arvutatakse.

Alus (mittekohustuslik) on logaritmi arvutamise alus. Kui see puudub, võetakse aluseks 10 (kümnendlogaritm).

### Example

=LOG(10; 3) tagastab arvu 10 logaritmi alusel 3 (ligikaudu 2,0959).

=LOG(7^4;7) tagastab 4.

## LOG10

Tagastab arvu kümnendlogaritmi.

### Syntax

LOG10(arv)

Tagastab arvu kümnendlogaritmi.

### Example

=LOG10(5) tagastab arvu 5 kümnendlogaritmi (ligikaudu 0,69897).

## MOD

Tagastab täisarvu jagamisel teise täisarvuga tekkiva jäägi.

### Syntax

MOD(jagatav; jagaja)

Täisarvude korral tagastab see funktsioon lihtsalt jagatava mooduli jagaja järgi ehk jagatava ja jagaja jagamistehte jäägi.

See funktsioon kasutab valemit jagatav - jagaja * INT(jagatav / jagaja), mille põhjal arvutatakse tulemus, kui argumendid pole täisarvud.

### Example

=MOD(22;3) tagastab 1 ehk jäägi, mis tekib 22 jagamisel 3-ga.

=MOD(11,25;2,5) tagastab 1,25.

## MROUND

Tagastab arvu ümardatuna teise arvu lähima täisarvkordseni.

### Syntax

MROUND(arv; kordaja)

Tagastab arvu ümardatuna lähima kordaja kordseni.

Teine võimalus sama tulemuse saamiseks oleks kordaja * ROUND(arv/kordaja).

### Example

=MROUND(15,5;3) tagastab 15, kuna 15,5 on arvule 15 (= 3*5) lähemal kui arvule 18 (= 3*6).

=MROUND(1,4; 0,5) tagastab 1,5 ( = 0,5*3).

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

### Syntax

MULTINOMIAL(arv(ud))

Arv(ud) on loend kuni 30 arvust.

### Example

=MULTINOMIAL(F11:H11) tagastab 1260, kui lahtrid F11 kuni H11 sisaldavad väärtusi 2, 3 ja 4. See vastab valemile =(2+3+4)! / (2!*3!*4!)

## ODD

Ümardab positiivse arvu ülespoole ja negatiivse arvu allapoole lähima paaritu arvuni.

### Syntax

ODD(arv)

Tagastab arvu ümardatuna ülespoole järgneva paaritu arvuni (nullist eemale).

### Example

=ODD(1,2) tagastab 3.

=ODD(1) tagastab 1.

=ODD(0) tagastab 1.

=ODD(-3,1) tagastab -5.

## PI

Tagastab 3,14159265358979 ehk matemaatilise konstandi π väärtuse täpsusega 14 kohta pärast koma.

### Syntax

PI()

### Example

=PI() tagastab 3,14159265358979.

## POWER

Tagastab arvu väärtuse antud astmel.

### Syntax

POWER(alus; aste)

Tagastab arvu alus astmes aste.

Sama tulemuse saamiseks võib kasutada astendusmärki ^:

arv^aste

### Example

=POWER(4; 3) tagastab 64, mis on arv 4 astmes 3.

=4^3 tagastab arvu 4 astmes 3.

## PRODUCT

Korrutab kõik argumendid ja tagastab korrutise.

### Syntax

PRODUCT(arv1; arv2; ...arv30)

Arv1 kuni arv30 on kuni 30 argumenti, mille korrutist arvutatakse.

PRODUCT tagastab korrutise arv1 * arv2 * arv3 * ...

### Example

=PRODUCT(2;3;4) tagastab 24.

## QUOTIENT

Tagastab jagamistehte tulemuse täisarvulise osa.

### Syntax

QUOTIENT(lugeja; nimetaja)

Tagastab lugeja ja nimetaja jagatise täisosa.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

### Example

=QUOTIENT(11;3) tagastab 3. Jääk 2 jäetakse kõrvale.

## RADIANS

Teisendab kraadid radiaanideks.

### Syntax

RADIANS(arv)

Arv on kraadides antud nurk, mis tuleb radiaanideks teisendada.

### Example

=RADIANS(90) tagastab 1,5707963267949 ehk π/2 Calcis lubatud täpsusega.

## RAND

Tagastab juhuarvu vahemikus 0 kuni 1.

### Syntax

RAND()

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Juhuarvude genereerimiseks, mida ei taasarvutata kunagi, kopeeri funktsiooni =RAND() sisaldavad lahtrid ja kasuta käsku Redigeerimine - Aseta teisiti (kusjuures Asetatakse kõik ja Valemid on märgistamata ning Arvud on märgistatud).

### Example

=RAND() tagastab juhuarvu vahemikus 0 kuni 1.

## RANDBETWEEN

Tagastab määratud vahemikus asuva juhusliku täisarvu.

### Syntax

RANDBETWEEN(alumine; ülemine)

Tagastab juhusliku täisarvu arvude alumine ja ülemine vahel (mõlemad kaasa arvatud).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Juhuarvude genereerimiseks, mida ei taasarvutata kunagi, kopeeri funktsiooni sisaldavad lahtrid ja kasuta käsku Redigeerimine - Aseta teisiti (kusjuures Asetatakse kõik ja Valemid on märgistamata ning Arvud on märgistatud).

### Example

=RANDBETWEEN(20;30) tagastab juhusliku täisarvu 20 ja 30 vahel.

## ROUND

Ümardab arvu kuni antud kohtade arvuni.

### Syntax

ROUND(arv; kohti)

Tagastab arvu ümardatuna kuni kohtade arvu kümnendkohtadeni. Kui parameeter "kohti" puudub või on null, ümardab funktsioon lähima täisarvuni. Kui "kohti" on negatiivne, ümardab funktsioon lähima 10, 100, 1000 jne. kordseni.

See funktsioon ümardab lähima arvuni. Alternatiivsete võimaluste jaoks vaata funktsioone ROUNDDOWN ja ROUNDUP.

### Example

=ROUND(2,348;2) tagastab 2,35.

=ROUND(-32,4834;3) tagastab -32,483. Kõigi kümnendkohtade nägemiseks muuda lahtri vormingut.

=ROUND(2,348;0) tagastab 2.

=ROUND(2,5) tagastab 3.

=ROUND(987,65;-2) tagastab 1000.

## ROUNDDOWN

Ümardab arvu allapoole (nulli suunas) vastavalt määratud täpsusele.

### Syntax

ROUNDDOWN(arv; kohti)

Tagastab arvu ümardatuna allapoole (nulli suunas) kuni antud kohtade arvuni. Kui kohti puudub või on null, ümardatakse allapoole kuni täisarvuni. Kui kohti on negatiivne, ümardab funktsioon kuni 10, 100, 1000 jne. kordseteni.

See funktsioon ümardab nulli suunas. Alternatiivide jaoks vaata funktsioone ROUNDUP ja ROUND.

### Example

=ROUNDDOWN(1,234;2) tagastab 1,23.

=ROUNDDOWN(45,67;0) tagastab 45.

=ROUNDDOWN(-45,67) tagastab -45.

=ROUNDDOWN(987,65;-2) tagastab 900.

## ROUNDUP

Ümardab arvu ülespoole (nullist eemale) vastavalt määratud täpsusele.

### Syntax

ROUNDUP(arv; kohti)

Tagastab arvu ümardatuna ülespoole (nullist eemale) kuni kohtade arvuni. Kui kohti puudub või on null, ümardab funktsioon ülespoole kuni täisarvuni. Kui kohti on negatiivne, ümardab funktsioon ülespoole kuni 10, 100, 1000 jne. kordseni.

See funktsioon ümardab nullist eemale. Alternatiivide jaoks vaata funktsioone ROUNDDOWN ja ROUND.

### Example

=ROUNDUP(1,1111;2) tagastab 1,12.

=ROUNDUP(1,2345;1) tagastab 1,3.

=ROUNDUP(45,67;0) tagastab 46.

=ROUNDUP(-45,67) tagastab -46.

=ROUNDUP(987,65;-2) tagastab 1000.

## SEC

Tagastab antud nurga (radiaanides) koosekansi. Nurga koosekans on võrdne sama nurga siinuse pöördväärtusega.

This function is available since LibreOffice 3.5

### Syntax

SEC(arv)

Tagastab arvu (radiaanides antud nurga) seekansi.

Et leida kraadides antud nurga seekansit, kasuta funktsiooni RADIANS.

### Example

=SEC(PI()/4) annab tulemuseks ligikaudu 1,4142135624, mis on pöördväärtus arvu π/4 radiaani koosinusest.

=SEC(RADIANS(60)) annab tulemuseks 2, mis on seekans 60 kraadist.

## SECH

Tagastab arvu hüperboolse seekansi.

This function is available since LibreOffice 3.5

### Syntax

SECH(arv)

Tagastab arvu hüperboolse seekansi.

### Example

=SECH(0) annab tulemuseks 1, mis on hüperboolne seekans arvust 0.

## SERIESSUM

Liidab astmete jadade esimesed liikmed.

SERIESSUM(x;n;m;kordajad) = kordaja_1*x^n + kordaja_2*x^(n+m) + kordaja_3*x^(n+2m) +...+ kordaja_i*x^(n+(i-1)m)

### Syntax

SERIESSUM(x; n; m; kordajad)

X on astmete jada sisendarv.

N on esimene astendaja.

M on samm, mille võrra n-i suurendatakse.

Kordajad on kordajate jada. Iga kordaja jaoks laiendatakse jada summat ühe sektsiooni võrra.

## SIGN

Tagastab arvu märgi. Kui arv on positiivne, tagastatakse 1, kui arv on negatiivne, tagastatakse -1 ja nulli korral tagastatakse 0.

### Syntax

SIGN(arv)

Arv on arv, mille märk määratakse.

### Example

=SIGN(3,4) tagastab 1.

=SIGN(-4,5) tagastab -1.

## SIN

Tagastab antud nurga (radiaanides) siinuse.

### Syntax

SIN(arv)

Tagastab arvu (radiaanides antud nurga) siinuse.

Et leida kraadides antud nurga siinust, kasuta funktsiooni RADIANS.

### Example

=SIN(PI()/2) tagastab 1, siinuse PI/2 radiaanist.

=SIN(RADIANS(30)) tagastab 0,5, siinuse 30 kraadist.

## SINH

Tagastab arvu hüperboolse siinuse.

### Syntax

SINH(arv)

Tagastab arvu hüperboolse siinuse.

### Example

=SINH(0) tagastab 0, arvu 0 hüperboolse siinuse.

## SQRT

Tagastab arvu ruutjuure positiivse arvuna.

### Syntax

SQRT(arv)

Tagastab arvu ruutjuure positiivse arvuna.

Arv peab olema positiivne.

### Example

=SQRT(16) tagastab 4.

=SQRT(-16) tagastab veateate vigane argument.

## SQRTPI

Tagastab arvu ja π korrutise ruutjuure.

### Syntax

SQRTPI(Arv)

Tagastab π ja arvu korrutise ruutjuure positiivse arvuna.

Funktsioon on analoogiline valemiga SQRT(PI()*arv).

### Example

=SQRTPI(2) tagastab korrutise 2π ruutjuure, mis on ligikaudu 2,506628.

## SUBTOTAL

Arvutab vahekokkuvõtteid. Kui ala sisaldab juba vahekokkuvõtteid, siis neid edasistes arvutustes ei kasutata. Seda funktsiooni kasutatakse koos automaatfiltriga, et võtta arvesse ainult filtreeritud andmeid.

### Syntax

SUBTOTAL(funktsioon; vahemik)

Funktsioon on arv, mis tähistab ühte järgmistest funktsioonidest:

Funktsiooni indeks (includes hidden values) | Function index (ignores hidden values) | Funktsioon
1 | 101 | AVERAGE
2 | 102 | COUNT
3 | 103 | COUNTA
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUCT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUM
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Vahemik on vahemik, mille lahtrid arvutusse kaasatakse.

### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students. Row 2 (Pen) is manually hidden. You want to see the sum of the figures that are displayed; that is, just the subtotal for the filtered rows. In this case the correct formula would be:

| A | B
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## SUM

Liidab kokku lahtrite vahemikus olevad arvud.

### Syntax

SUM(arv1; arv2; ...; arv30)

Arv1 kuni arv30 on kuni 30 argumenti, mille summat arvutatakse.

### Example

Kui sisestada arvud 2, 3 ja 4 väljadele arv 1, 2 ja 3, tagastatakse vastus 9.

=SUM(A1;A3;B5) arvutab kolme lahtri summa. =SUM (A1:E10) arvutab kõigi lahtrivahemiku A1 kuni E10 lahtrite summa.

Funktsiooni AND sisaldavaid tingimusi saab kasutada koos funktsiooniga SUM() järgneval viisil:

Näiteülesanne: tabelisse on sisestatud arved. Veerg A sisaldab arvete kuupäevi, veerg B arvete summasid. Vaja on kirjutada valem, mille abil saaks leida teatud ajavahemikul väljastatud arvete kogusumma. Võtame näiteks perioodi, mis vastab tingimusele >=01.01.2008 ja <01.02.2008. Kuupäevaväärtused paiknevad vahemikus A1:A40, liidetavad arvud paiknevad vahemikus B1:B40. C1 sisaldab kaasatavate arvete alguskuupäeva 01.01.2008 ning C2 kuupäeva 01.02.2008, mis jäetakse esimesena välja.

Sisestame massiivi valemina järgmise valemi:

=SUM((A1:A40>=C1)*(A1:A40<C2)*B1:B40)

Selle sisestamiseks massiivivalemina tuleb valemi sulgemiseks vajutada klahve Shift+Command + Ctrl+ Enter, mitte lihtsalt klahvi Enter. Valem kuvatakse valemiribal looksulgudes.

{=SUM((A1:A40>=C1)*(A1:A40<C2)*B1:B40)}

Valem rajaneb põhimõttel, et kui tingimus on rahuldatud, on võrdluse tulemuseks 1, ja kui mitte, siis 0. Võrdluste tulemuste hulka käsitletakse massiivina ja seda kasutatakse maatrikskorrutises, mille vastuse elemendid lõpptulemuse saamiseks liidetakse.

## SUMIF

Liidab antud kriteeriumitega määratud lahtrid. Funktsiooni kasutatakse soovitud väärtuste leidmiseks vahemikus.

The search supports regular expressions. You can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must precede every character with a "\" character. You can switch the automatic evaluation of regular expression on and off in LibreOffice - Preferences Tools - Options - LibreOffice Calc - Calculate.

### Syntax

SUMIF(vahemik; kriteeriumid; summa_vahemik)

Vahemik on vahemik, millele kriteeriumid rakendatakse.

Kriteeriumid on lahter, kus otsingukriteerium kuvatakse, või otsingukriteerium ise. Kui kriteeriumid on kirjutatud valemisse, peavad need olema kahekordsetes jutumärkides.

Summa_vahemik on vahemik, mille väärtused liidetakse. Kui seda parameetrit pole antud, siis vahemiku väärtused summeeritakse.

SUMIF toetab viidete liitmise tehet (~) ainult kriteeriumite parameetris ning ainult juhul, kui mittekohustuslik summa vahemiku parameeter puudub.

### Example

Liidetakse ainult negatiivsed arvud: =SUMIF(A1:A10;"<0")

=SUMIF(A1:A10;">0";B1:10) - liidab väärtused vahemikus B1:B10 ainult juhul, kui vastavad väärtused vahemikus A1:A10 on >0.

Funktsiooni COUNTIF() juures on toodud teisigi süntaksinäiteid, mida saab kasutada koos funktsiooniga SUMIF().

## SUMSQ

Arvude ruutude summa leidmiseks tuleb arvud sisestada nõustaja väljadele.

### Syntax

SUMSQ(arv1; arv2; ...; arv30)

Arv1 kuni arv30 on kuni 30 argumenti, mille ruutude summat arvutatakse.

### Example

Kui sisestada arvud 2, 3 ja 4 väljadele arv1, 2 ja 3, tagastatakse vastus 29.

## TAN

Tagastab antud nurga (radiaanides) tangensi.

### Syntax

TAN(arv)

Tagastab arvu (radiaanides antud nurga) tangensi.

Et leida kraadides antud nurga tangensit, kasuta funktsiooni RADIANS.

### Example

=TAN(PI()/4) tagastab 1, tangensi π/4 radiaanist.

=TAN(RADIANS(45)) tagastab 1, 45 kraadi tangensi.

## TANH

Tagastab arvu hüperboolse tangensi.

### Syntax

TANH(arv)

Tagastab arvu hüperboolse tangensi.

### Example

=TANH(0) tagastab 0, arvu 0 hüperboolse tangensi.

## TRUNC

Kärbib arvu komakohtade eemaldamise teel.

### Syntax

TRUNC(arv; kohti)

Tagastab arvu, milles jäetakse alles määratud arv kohti. Liigsed kümnendkohad lihtsalt eemaldatakse, märki ei arvestata.

TRUNC(arv; 0) käitub positiivsete arvude korral sarnaselt funktsiooniga INT(arv), kuid negatiivsete arvude korral sisuliselt ümardab nulli suunas.

Tulemuses kuvatavate komakohtade arv on määratud dialoogis LibreOffice - Eelistused Tööriistad - Sätted - LibreOffice Calc - Arvutamine.

### Example

=TRUNC(1,239; 2) tagastab 1,23. 9 läheb kaotsi.

=TRUNC(-1,234999; 3) tagastab -1,234. Kõik 9-d lähevad kaotsi.

Sarnased teemad

Functions by Category